import request from '@/utils/request'

// 获取店铺列表
export function getStoreList(params) {
  return request({
    url: '/shop/c/list',
    method: 'get',
    params
  })
}

// 查看可选的企业
export function getAllEnterprise(params) {
  return request({
    url: '/company/c/allList',
    method: 'get',
    params
  })
}

// 新增店铺
export function addShopStore(data) {
  return request({
    url: '/shop/add',
    method: 'post',
    data
  })
}

// 绑定企业
export function bindEnterprise(data) {
  return request({
    url: '/shop/bindCompany',
    method: 'put',
    data
  })
}

// 解除绑定的企业
export function unBindEnterprise(data) {
  return request({
    url: `/shop/unbindCompany/${data}`,
    method: 'put'
  })
}

// 获取企业列表
export function getEnterpriseList(params) {
  return request({
    url: '/company/c/list',
    method: 'get',
    params
  })
}

// 企业准入第一步-补充材料
export function enterpriseAccessStepOne(data) {
  return request({
    url: '/companyZr/stepOne',
    method: 'post',
    data
  })
}

// 企业查看接口
export function getEnterpriseDetail(params) {
  return request({
    url: `/company/detail/${params}`,
    method: 'get'
  })
}

// 获取企业认证授权书信息
export function getAuthBooksList(params) {
  return request({
    url: `/companyZr/stepTwoView/${params}`,
    method: 'get'
  })
}

// 刷新授权书状态
export function refreshAuthStatus(params) {
  return request({
    url: `/companyZr/flushCreditSignStatus/${params}`,
    method: 'get'
  })
}

// 企业准入第二步骤
export function enterpriseAccessStepTwo(data) {
  return request({
    url: '/companyZr/stepTwo',
    method: 'post',
    data
  })
}
